//
//  OmnisJSAppDelegate.h
//  OmnisJS
//
//  Created by Bob Mitchell on 31/05/2011.
//  Copyright 2011 TigerLogic UK Ltd. All rights reserved.
//

#import <UIKit/UIKit.h>

@class OmnisJSViewController;

@interface OmnisJSAppDelegate : NSObject <UIApplicationDelegate, NSXMLParserDelegate> {
    UIWindow *window;
    OmnisJSViewController *viewController;
		BOOL mShowTitle;
		BOOL mInURL;
		NSMutableString *mURL;
		NSString *mDesignModeServer;
		BOOL mStopTestFormThread;
		NSThread *mTestFormThread;
}

-(void)loadURL;
-(BOOL)designModeEnabled;
-(void)startTestFormThread;
-(void)threadEntry;
-(void)abortSocket:(int)pSocket;
-(BOOL)setNonBlocking:(BOOL)pNonBlocking socket:(int)socket;

@property (nonatomic, retain) IBOutlet UIWindow *window;
@property (nonatomic, retain) IBOutlet OmnisJSViewController *viewController;

@end

